<?php
namespace Claromentis\Projects\Event;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("user_" . "id" => base64_decode("dXNlcl9pZ" . "A=="), "project_i" . "d" => base64_decode("cHJvamVjdF9pZ" . "A=="));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Projects\Service\NotificationService;
class TopicCreateEvent extends GenericEvent
{
    const EVENT_NAME = NotificationService::TOPICS_NEW_TOPIC_ADDED;
    public function getProjectId() : ?int
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["proje" . "ct_id"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["project" . "_id"]) : null;
    }
    public function setProjectId(int $_47d202493f86e587c8454fae73657c90) : void
    {
        $this->setArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["pro" . "jec" . "t_i" . "d"], $_47d202493f86e587c8454fae73657c90);
    }
    public function getUserId() : ?int
    {
        return $this->hasArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["user" . "_id"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["us" . "er" . "_i" . "d"]) : null;
    }
    public function setUserId(int $_47d202493f86e587c8454fae73657c90) : void
    {
        $this->setArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["user_" . "id"], $_47d202493f86e587c8454fae73657c90);
    }
}